<?
set_time_limit(0);
require "../../conexion/conectar.php";
require("../../libs/funciones.php");

conectar();
$query="select rd.rfcemisor,rd.serie,rd.folio,rd.uuid,rd.tipodocto,fechadocto,fecharecibido,archivoxml,archivopdf,rfc_receptor,total,rd.id,t.rutaXML_P,t.rutaPDF_P,rd.status
from recibedoce rd, receptor r, tdoctos_r t
where rd.rfc_receptor = r.rfc and r.idreceptor=t.idreceptor and status_pago<>'N' and t.tipodocto='INGRESO CFDI 3.2' 
and rd.tipodocto='INGRESO CFDI 3.2' and status in ('A','V')";


$result = mysql_query($query);

if(!$RUTA_ALMACEN_PAGADAS_aux=trim(getINI("RUTA_ALMACEN_PAGADAS=","../../config.ini"))){
	echo "Falta una configuracion en el sistema.<br/>Llame al administrador del sistema";exit;
}
						
if(mysql_num_rows($result) > 0){
	while($tmp=mysql_fetch_array($result)){
	
			$fecharecibido=$tmp["fecharecibido"];
			$fechadocto=$tmp["fechadocto"];
			$archivoxml=$tmp["archivoxml"];
			$archivopdf=$tmp["archivopdf"];
			$rfc_receptor=$tmp["rfc_receptor"];
			$totalFactura=$tmp["total"];
			$rutaXML=$tmp["rutaXML_P"];
			$rutaPDF=$tmp["rutaPDF_P"];
			$idDoc=$tmp["id"];
			
			$year = substr($fecharecibido,0,4);
			$mes = substr($fecharecibido,5,2);
			
			$rutaXML.=$year."/".$mes."/".$archivoxml;
			$rutaPDF.=$year."/".$mes."/".$archivopdf;
			
			$query="select rfcemisor,tipodocto,serie,folio,uuid,fecha_pago from pago_doc_detalle 
			where rfcemisor='".$tmp['rfcemisor']."' and tipodocto='".$tmp['tipodocto']."' and serie='".$tmp['serie']."' and folio='".$tmp['folio']."' 
			and uuid='".$tmp['uuid']."'";
			
			if($resDetalle = mysql_query($query)){
				
				if(mysql_num_rows($resDetalle) > 0){
					while($tDetalle = mysql_fetch_array($resDetalle)){
						$fechapago = $tDetalle['fecha_pago'];
						$stDoc="";
		
						if(substr($tmp["fechadocto"],0,4) < substr($fechapago,0,4)){
							$stDoc="_EJERCICIOANT";
						}else if(substr($tmp["fechadocto"],5,2) < substr($fechapago,5,2)){
							$stDoc="_MESANT";
						}
						
						
						
						$info = pathinfo($archivoxml);
						$aXML = basename($archivoxml,'.'.$info['extension']).$stDoc."_".$idDoc.".xml";
						
						$info = pathinfo($archivopdf);
						$aPDF = basename($archivopdf,'.'.$info['extension']).$stDoc."_".$idDoc.".pdf";

						$arrVars = array("<<RFCRECEPTOR>>","<<RFCEMISOR>>","<<TIPODOCTO>>","<<ANIO>>","<<MES>>","<<DIA>>");
						
						$arrVals = array($rfc_receptor,$tmp['rfcemisor'],$tmp['tipodocto'],substr($fechapago,0,4),substr($fechapago,5,2),substr($fechapago,8,2));
						
						
						$RUTA_ALMACEN_PAGADAS=$RUTA_ALMACEN_PAGADAS_aux;
						$RUTA_ALMACEN_PAGADAS=str_replace($arrVars,$arrVals,$RUTA_ALMACEN_PAGADAS);
						
						
						if(!is_dir(trim($RUTA_ALMACEN_PAGADAS))){
							mkdir($RUTA_ALMACEN_PAGADAS,755,true);
						}
						
						/*echo $rutaXML."<br/>".$RUTA_ALMACEN_PAGADAS.$aXML."<br/>";
						echo $rutaPDF."<br/>".$RUTA_ALMACEN_PAGADAS.$aPDF."<br/>";exit;*/
						
						
						if(!copy($rutaXML, $RUTA_ALMACEN_PAGADAS.$aXML)){
							echo "Hubo un error al copiar el XML: ".$tmp['rfcemisor']."_".$tmp['tipodocto']."_".$tmp['serie']."_".$tmp['folio']."_".$tmp['uuid']." Intente nuevamente.";
						}
						if(!copy($rutaPDF, $RUTA_ALMACEN_PAGADAS.$aPDF)){
							echo "Hubo un error al copiar el PDF: ".$tmp['rfcemisor']."_".$tmp['tipodocto']."_".$tmp['serie']."_".$tmp['folio']."_".$tmp['uuid']." Intente nuevamente.";
						}
					}//while detalle
				}//if num rows detalle
			}//if query detalle
	}//while recibedoce
}//if query recibedoce
desconectar();


function mes_siguiente($fecha,$mes,$dias,$mes_actual){
    if(!$mes_actual){
        $dias = $dias-1;
        $fechaS = date("Y-m-d", strtotime("$fecha 1 month"));
        $afechaS = explode('-',$fechaS);
        $fechaS=$afechaS[0]."-".$afechaS[1]."-01";
        $fechaS = date("Y-m-d", strtotime("$fechaS $mes month"));
        $fechaS = date("Y-m-d", strtotime("$fechaS $dias days"));
    }else{
        $fechaS = date("Y-m-d", strtotime("$fecha $mes month"));
        $fechaS = date("Y-m-d", strtotime("$fechaS $dias days"));
    }
    
    return $fechaS;
}
function valida_fecha($fechaI){
    $aFechaI = explode("-", $fechaI);
    $fechaHoy = date("Y-m-d");
    $aFechaF = explode("-", $fechaHoy);
    
    $yearFechaI = (integer) $aFechaI[0];
    $mesFechaI = (integer) $aFechaI[1];
    $diaFechaI = (integer) $aFechaI[2];
    
    $yearFechaF = (integer) $aFechaF[0];
    $mesFechaF = (integer) $aFechaF[1];
    $diaFechaF = (integer) $aFechaF[2];
    
    
       //$yearFechaI -> siguiente
        //$yearFechaF -> Hoy
    if($yearFechaI > $yearFechaF){
        return 1;
    }elseif($yearFechaI < $yearFechaF){
        return 0;
    }else{ 
        
        if($mesFechaI > $mesFechaF){
            return 1;
        }elseif($mesFechaI < $mesFechaF){
            return 0;
        }else{
            if($diaFechaI > $diaFechaF){
                return 1;
            }elseif($diaFechaI == $diaFechaF){
                return 1;
            }else{
                return 0;
            }
        }
    }
}

?>